#
# Be sure to run `pod lib lint NSP_SDK.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'NSP_SDK'
  s.version          = '0.1.2'
  s.summary          = 'NSP SDK'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = 'NSP SDK Solution'

  s.homepage         = 'https://gitlab.com/nspsdk/ios/nsp_sdk'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'Guillaume Gonzales' => 'devmobile@nsp-fr.com' }
  s.source           = { :git => 'https://gitlab.com/nspsdk/ios/nsp_sdk.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '10.1'

  s.source_files = 'NSP_SDK/Classes/**/*'
  
  s.resource_bundles = {
    'NSP_SDK' => ['NSP_SDK/Assets/**/*']
  }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
end
